콘텐츠로 건너뛰기

PATINA

통합

모델 id patina
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/patina?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.06 60 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Open model 이미지 편집 #pbr#displacement#metalness#normal

단일 이미지에서 PBR 재질 맵(basecolor, normal, roughness, metalness, height)을 예측

Open model · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 image_url
파일을 끌어다 놓거나

입력으로 제공되는 사진 또는 렌더를 가리키는 URL입니다.

고급 output_format · seed · enable_safety_checker · maps
output_format 기본값 png

결과 이미지의 형식입니다.

노이즈 제거 시드입니다. 생략하면 무작위로 선택되며, 값을 제공하면 재현 가능한 노이즈 제거가 가능합니다.

기본값 ["basecolor","normal"...

예측에 선택되는 PBR 맵입니다. 기본값으로 5개가 모두 선택됩니다.

POST /run/patina?wait=20 견적 → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/patina?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

PATINA 정보

사진 또는 렌더를 3D 및 텍스처 작업용 재질 맵으로 변환합니다. `maps`로 basecolor, normal, roughness, metalness 및 height 중 생성할 맵을 선택하며, 기본값은 5개 모두입니다. 출력은 PNG, JPEG 또는 WebP일 수 있고 `seed`로 디노이징 결과를 재현할 수 있습니다. 요청한 맵마다 이미지 하나를 반환합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
입력으로 제공되는 사진 또는 렌더를 가리키는 URL입니다.
maps선택 사항
유형enum[]
기본값["basecolor","normal","roughness","metalness","height"]
예측에 선택되는 PBR 맵입니다. 기본값으로 5개가 모두 선택됩니다.
seed선택 사항
유형integer | null
노이즈 제거 시드입니다. 생략하면 무작위로 선택되며, 값을 제공하면 재현 가능한 노이즈 제거가 가능합니다.
enable_safety_checker선택 사항
유형boolean
기본값true
이미지 안전성 검사를 활성화합니다.
output_format선택 사항
유형enum
기본값png
jpegpngwebp
결과 이미지의 형식입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "patina",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768,
        "map_type": "basecolor"
      }
    ],
    "timings": {},
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height, map_type}예측으로 생성된 PBR 재질 맵입니다.
timings
object초 단위로 구분한 처리 시간입니다.
seed
integer노이즈 제거에 적용되는 시드입니다.

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/patina.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt